Updates an existing custom role. System roles cannot be updated. All fields are optional - only provided fields will be updated.
PATCH
/
v1
/
organizations
/
{organizationId}
/
roles
/
{roleId}
Update a role
curl --request PATCH \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/roles/{roleId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"actors": [
"<string>"
],
"policies": [
{
"permissions": [
"<string>"
],
"resources": [
"<string>"
],
"tags": {
"grants": [
"<string>"
]
}
}
]
}
'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/roles/{roleId}"
payload = {
"name": "<string>",
"actors": ["<string>"],
"policies": [
{
"permissions": ["<string>"],
"resources": ["<string>"],
"tags": { "grants": ["<string>"] }
}
]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
actors: ['<string>'],
policies: [
{
permissions: ['<string>'],
resources: ['<string>'],
tags: {grants: ['<string>']}
}
]
})
};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"id": "<string>",
"tenantId": "<string>",
"ownerId": "<string>",
"name": "<string>",
"actors": [
"<string>"
],
"policies": [
{
"id": "<string>",
"roleId": "<string>",
"tenantId": "<string>",
"permissions": [
"<string>"
],
"resources": [
"<string>"
],
"tags": {
"grants": [
"<string>"
]
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Updates an existing custom role. System roles cannot be updated. All fields are optional - only provided fields will be updated.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the requested organization.
ID of the requested role.
Body
application/json
Last modified on July 21, 2026
Was this page helpful?
Previous
Delete a roleDeletes an existing custom role. System roles cannot be deleted. This operation will remove the role and all its associated policies.
Next
⌘I
Update a role
